Bug 1855441 - minetest-5.3.0 is available
Summary: minetest-5.3.0 is available
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: minetest
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aleksandra Fedorova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-09 20:47 UTC by Upstream Release Monitoring
Modified: 2020-08-11 14:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
Update to minetest 5.3.0 and split data package (6.73 KB, patch)
2020-07-13 20:36 UTC, Olivier Samyn
no flags Details | Diff

Description Upstream Release Monitoring 2020-07-09 20:47:59 UTC
Latest upstream release: 5.3.0
Current version/release in rawhide: 5.2.0-2.fc33
URL: https://github.com/minetest/minetest

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1978/

Comment 1 Olivier Samyn 2020-07-13 20:36:31 UTC
Created attachment 1700902 [details]
Update to minetest 5.3.0 and split data package

I maintain a copr build with some changes in the minetest packages and since minetest 5.3.0 has been released, it's maybe a good idea to propose those changes for the Fedora package.

So, here is my proposal: on it's own, the current minetest-server package is not functional because it lacks some data. It works only if you install it alongside the main minetest package.
So, I propose to extract the common data out of the main package and release it as a separate package that both minetest and minetest-server depends on.
I've also split out the minetest-game data as a new optional package as that one is not mandatory (you can install other minetest games mod). I've kept the current way of building with merged sources, but probably minetest-game could be build it's own, from another srpm.

Comment 2 Aleksandra Fedorova 2020-07-14 14:01:40 UTC
Thanks for the contribution,  Olivier Samyn

As Minetest community keeps releasing the engine and the -game with the same version number, I'd prefer having one source rpm for them. Because it is only one update you need to do on each new release.

But splitting data from the mintest subpackage definitely makes sense. I'll try to apply your patch this week.

Let me know also if you'd like to have a co-maintainer rights for the package.

Comment 3 Olivier Samyn 2020-07-17 07:43:57 UTC
Keeping the game data in the same source srpm makes sense also, as it's the way of working of the upstream project. That's why I changed the spec to use the same version tag to refer to both archives.

As I revived my minetest server, and I expect to also work a bit on some input problems, I'll definitely be glad to help maintaining that package. I'm not part of the packages maintainers, but would be happy of some sponsor.

Comment 4 Aleksandra Fedorova 2020-07-26 20:42:54 UTC
I've create a PR today https://src.fedoraproject.org/rpms/minetest/pull-request/6


But the build fails on aarch64 architecture with
 
----
In function 'memcpy',
    inlined from 'H_ns' at /builddir/build/BUILD/minetest-5.3.0/src/util/srp.cpp:432:8,
    inlined from 'calculate_x' at /builddir/build/BUILD/minetest-5.3.0/src/util/srp.cpp:455:13:
/usr/include/bits/string_fortified.h:34:33: warning: '__builtin_memcpy' reading 4294967295 bytes from a region of size 64 [-Wstringop-overflow=]
   34 |   return __builtin___memcpy_chk (__dest, __src, __len, __bos0 (__dest));
      |                                 ^
/tmp/minetest.yDh9nn.ltrans32.ltrans.o: in function `TextDrawer::TextDrawer(wchar_t const*, Client*, irr::gui::IGUIEnvironment*, ISimpleTextureSource*)':
/builddir/build/BUILD/minetest-5.3.0/src/irrlicht_changes/irrUString.h:1664:(.text+0x813c): relocation truncated to fit: R_AARCH64_ADR_PREL_PG_HI21 against `.LC40'
collect2: error: ld returned 1 exit status
----

https://koji.fedoraproject.org/koji/taskinfo?taskID=47885642

Comment 5 Olivier Samyn 2020-07-27 22:04:06 UTC
Unfortunately I did not activated aarch64 on my copr, I suppose I would have found that error. 

If you need help I can try to debug that in the coming days.

Comment 6 Fedora Update System 2020-07-30 09:04:36 UTC
FEDORA-2020-66d7371d23 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-66d7371d23

Comment 7 Aleksandra Fedorova 2020-07-30 10:40:49 UTC
It seems that aarch64 failure is connected to the LTO issues in current rawhide. Disabling LTO fixes the build.

Thus I have pushed a disable-LTO patch for master Rawhide, while pushed just the regular 5.3.0 update to F32.

Please take a look at the update and set karma.

And thanks again for the patch, Olivier!

Comment 8 Fedora Update System 2020-07-30 19:55:19 UTC
FEDORA-2020-66d7371d23 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-66d7371d23`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-66d7371d23

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-11 14:11:04 UTC
FEDORA-2020-66d7371d23 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.